
package com.ejie.ab79.clientesWS.ab61WebService;

import javax.xml.ws.WebFault;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebFault(name = "Ab61Exception", targetNamespace = "http://ab61.exe.webservice/")
public class Ab61Exception
    extends java.lang.Exception
{

    /**
     * Java type that goes as soapenv:Fault detail element.
     * 
     */
    private Ab61ExceptionGeneral faultInfo;

    /**
     * 
     * @param faultInfo
     * @param message
     */
    public Ab61Exception(String message, Ab61ExceptionGeneral faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @param faultInfo
     * @param cause
     * @param message
     */
    public Ab61Exception(String message, Ab61ExceptionGeneral faultInfo, Throwable cause) {
        super(message, cause);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @return
     *     returns fault bean: com.ejie.ab79.clientesWS.ab61WebService.Ab61ExceptionGeneral
     */
    public Ab61ExceptionGeneral getFaultInfo() {
        return faultInfo;
    }

}
